%global flavor pipewire%{nil}
%global pkg_name jamesdsp
%if "%{flavor}" == ""
%global pkg_mode %{nil}
ExclusiveArch:  do-not-build
%else
%global pkg_mode -%{flavor}
%endif

# ./JDSP4Linux-source.sh <tag>
# ./JDSP4Linux-source.sh jamesdsp-2.7.0-1

Name:           %{pkg_name}%{pkg_mode}
Version:        2.7.0
Release:        1%{?dist}
Summary:        An audio effect processor for PipeWire or PulseAudio clients
License:        GPL-3.0-only
URL:            https://github.com/Audio4Linux/JDSP4Linux
##Source0:        %%{pkg_name}-%%{version}.tar.xz
Source0:        JDSP4Linux.tar.gz
Source2:        %{pkg_name}.desktop
Source3:        JDSP4Linux-source.sh
# Patch0:         uint32_t.patch

BuildRequires:  hicolor-icon-theme
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(glibmm-2.68)
BuildRequires:  pkgconfig(libarchive)
Provides:       %{pkg_name} = %{version}
%if "%{flavor}" == "pipewire"
BuildRequires:  pkgconfig(libpipewire-0.3)
Conflicts:      %{pkg_name}-pulse
%else
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(libpulse)
Conflicts:      %{pkg_name}-pipewire
%endif
BuildRequires:  gcc >= 11
BuildRequires:  gcc-c++ >= 11

%description
Open-source sound effects for PipeWire or PulseAudio clients.

%prep
#%%autosetup -n %%{pkg_name}-%%{version} -p1
%autosetup -p0 -n JDSP4Linux

#sed -e 's/^\(DEFINES += APP_VERSION\)=.*/\1=2.3-0-g1f49c84/' -i src/src.pro
sed -i -e 's|glibmm-2.4 giomm-2.4|glibmm-2.68 giomm-2.68|' src/src.pro

%build
mkdir build
cd build
%{_qt5_qmake} ..\
%if "%{flavor}" == "pulse"
	"CONFIG += USE_PULSEAUDIO"
%endif

%make_build V=1 VERBOSE=1

%install
install -D -m 0755 -t %{buildroot}%{_bindir} build/src/%{pkg_name}
install -D -m 0644 -t %{buildroot}%{_datadir}/applications %{SOURCE2}
#install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 0644 resources/icons/icon.png %{buildroot}%{_datadir}/pixmaps/%{pkg_name}.png
install -D -m 0644 resources/icons/icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{pkg_name}.svg

%check
#appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{provider}.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/%{pkg_name}
%{_datadir}/applications/%{pkg_name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{pkg_name}.svg
%{_datadir}/pixmaps/%{pkg_name}.png

%changelog
* Sun Jun 23 2024 Martin Gansser <martinkg@fedoraproject.org> - 2.7.0-1
- Update to 2.7.0-1

* Thu Mar 16 2023 Martin Gansser <martinkg@fedoraproject.org> - 2.4-1
- Update to 2.4-1
